

ext3 is only permitting files of up to 32G.  It should be allowing files to
be up to 2TB.

This is because it is running ext3_max_size(1024) before the filesystem's
blocksize has been determined.




 fs/ext3/super.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/ext3/super.c~ext3-max-file-size-fix fs/ext3/super.c
--- 25/fs/ext3/super.c~ext3-max-file-size-fix	2003-03-25 22:13:39.000000000 -0800
+++ 25-akpm/fs/ext3/super.c	2003-03-25 22:13:53.000000000 -0800
@@ -1207,8 +1207,6 @@ static int ext3_fill_super (struct super
 		goto failed_mount;
 	}
 
-	sb->s_maxbytes = ext3_max_size(sb->s_blocksize_bits);
-
 	hblock = bdev_hardsect_size(sb->s_bdev);
 	if (sb->s_blocksize != blocksize) {
 		/*
@@ -1240,6 +1238,8 @@ static int ext3_fill_super (struct super
 		}
 	}
 
+	sb->s_maxbytes = ext3_max_size(sb->s_blocksize_bits);
+
 	if (le32_to_cpu(es->s_rev_level) == EXT3_GOOD_OLD_REV) {
 		sbi->s_inode_size = EXT3_GOOD_OLD_INODE_SIZE;
 		sbi->s_first_ino = EXT3_GOOD_OLD_FIRST_INO;

_
